// Defs.h: a standard header, that includes headers that are common
// in this project, and supplies usefull definitions.
//
//////////////////////////////////////////////////////////////////////

#ifndef DEFS_H
#define DEFS_H

#define VISUAL_CPP
 
#ifdef VISUAL_CPP // Implementation dependent declerations
// Exception specifications are not yet supported by Visual C++.
#pragma warning( disable : 4290 )

// Ignore warning about STL long symbols, ok to ignore.
#pragma warning( disable : 4786 )
#endif // VISUAL_CPP

#ifndef MFC_OR
#include <windows.h>
#endif // MFC_OR

#include <assert.h>
#include <string>
#include <stdexcept>

#include "IOException.h"
#include "SerializationException.h"


#define IN
#define OUT
#define INOUT

typedef unsigned int UINT; 
typedef unsigned short USHORT; 
typedef unsigned long ULONG; 

#endif // DEFS_H