// IOException.h: interface for the IOException class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_IOEXCEPTION_H__0A43B59D_4786_11D4_855A_0060975C9F87__INCLUDED_)
#define AFX_IOEXCEPTION_H__0A43B59D_4786_11D4_855A_0060975C9F87__INCLUDED_

#include <stdexcept>
#include <string>

/** Indicates that an IO operation has failed.*/
class IOException : public std::runtime_error  
{
public:
/** Constructs and initializes an IOException object. 
* param what_arg: a description of the exception.
*/
	IOException(const std::string & what_arg);
	virtual ~IOException();
};

#endif // !defined(AFX_IOEXCEPTION_H__0A43B59D_4786_11D4_855A_0060975C9F87__INCLUDED_)